PamCut: TrkHitQualCut Class Reference

# TrkHitQualCut Class Reference

The tracker hit quality cut. More...

`#include <TrkHitQualCut.h>`

Inheritance diagram for TrkHitQualCut:

List of all members.

## Public Member Functions
| TrkHitQualCut (const char *cutName, int xMinHit, int yMinHit, int xLeverArm)
| Constructor.
| ~TrkHitQualCut ()
| Destructor.
int | Check (PamLevel2 *event)
| The tracker hit quality check.
## Private Attributes
int | _xMinHit
int | _yMinHit
int | _xLeverArm

## Detailed Description

The tracker hit quality cut.

This cut performs a check on the number of hits on X and Y view and on the lever arm.

CUT DEPENDENCIES: TrkPhysSin for object trkTrack

Definition at line 23 of file TrkHitQualCut.h.

## Constructor & Destructor Documentation

TrkHitQualCut::TrkHitQualCut | ( | const char * | cutName,
|  | int | xMinHit,
|  | int | yMinHit,
|  | int | xLeverArm |
| ) |  |  | `[inline]`

Constructor.

Parameters:

  | cutName | The cut's name.
  | xMinHit | The minimum hits along the track for X view
  | yMinHit | The minimum hits along the track for X view
  | xLeverArm | The Minimum lever arm

Definition at line 33 of file TrkHitQualCut.h.

TrkHitQualCut::~TrkHitQualCut | ( |  | ) | `[inline]`

Destructor.

Definition at line 37 of file TrkHitQualCut.h.

## Member Function Documentation

int TrkHitQualCut::Check | ( | PamLevel2 * | event | ) | `[virtual]`

The tracker hit quality check.

The event is rejected if X hits or Y hist or X lever arm is less than the parameter passed to the constructor.

See also:
  TrkHitQualCut

Parameters:

  | event | The event to analyze.

Returns:
  CUTOK if X hits, Y hits and X lever arm are greater or equal than the minimum values.

  0 if at least one of the above conditions is not matched.

Implements PamCut.

Definition at line 12 of file TrkHitQualCut.cpp.

References _xLeverArm, _xMinHit, _yMinHit, and CUTOK.

## Member Data Documentation

int TrkHitQualCut::_xLeverArm`[private]`

Definition at line 57 of file TrkHitQualCut.h.

Referenced by Check().

int TrkHitQualCut::_xMinHit`[private]`

Definition at line 57 of file TrkHitQualCut.h.

Referenced by Check().

int TrkHitQualCut::_yMinHit`[private]`

Definition at line 57 of file TrkHitQualCut.h.

Referenced by Check().

The documentation for this class was generated from the following files:

- TrkCuts/TrkHitQualCut/TrkHitQualCut.h
- TrkCuts/TrkHitQualCut/TrkHitQualCut.cpp